Benefit usage
Get benefit usage
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
benefit_usage_id*string
Response Body
application/json
application/json
curl -X GET "https://api.members.dev/v1/benefit-usages/string"{
"id": "string",
"timestamp": 0,
"benefit_id": "string",
"benefit_grant_id": "string",
"payload": {
"value": 0
},
"external_id": "string",
"user_id": "string",
"external_user_id": "string",
"amount_allocated": 0,
"allocation_status": "unallocated",
"created_at": null,
"updated_at": null
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Create Benefit Schedule POST
Creates a schedule with server-set **starts_at** (UTC now) and **status** `active`. If **expiry** is omitted, the schedule never ends overall (`expiry_type: never`). If a **benefit_grants** entry omits **expiry**, it defaults to never when **recurring** is never, else one billing **occurence** (`interval_count: 1`).
List benefit usage rows GET
Next Page